package com.bonus.canteen.core.supply.purchase.domain.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Min;
import java.time.LocalDate;

@ApiModel
public class DrpProductionPlanDetailAddDTO {
   @ApiModelProperty("详情日期")
   private LocalDate detailDate;
   @ApiModelProperty("餐次类型(1早餐2午餐3下午茶4晚餐5宵夜)")
   private Integer mealtimeType;
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("菜品份数(按份)")
   private @Min(
   value = 1L,
   message = "菜品份数不能小于1"
) Integer dishesNum;
   @ApiModelProperty("规格类型(1-标准,2-大份,3-小份)")
   private Long sizeType;

   public LocalDate getDetailDate() {
      return this.detailDate;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public Integer getDishesNum() {
      return this.dishesNum;
   }

   public Long getSizeType() {
      return this.sizeType;
   }

   public DrpProductionPlanDetailAddDTO setDetailDate(final LocalDate detailDate) {
      this.detailDate = detailDate;
      return this;
   }

   public DrpProductionPlanDetailAddDTO setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
      return this;
   }

   public DrpProductionPlanDetailAddDTO setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
      return this;
   }

   public DrpProductionPlanDetailAddDTO setDishesNum(final Integer dishesNum) {
      this.dishesNum = dishesNum;
      return this;
   }

   public DrpProductionPlanDetailAddDTO setSizeType(final Long sizeType) {
      this.sizeType = sizeType;
      return this;
   }
}
